Kevin Westby

Last Synology DSM upgrade not compatible with 2.3.7?

Recommended Posts

The latest Synology DSM update (6.0.1-7393) on my DS1515+ is saying BitTorrent Sync is not compatible and will be disabled after the upgrade.  Is there a version of BT Sync that is compatible?

 

I am currently running BT Sync 2.3.7-1

Share this post


Link to post
Share on other sites

I went ahead and upgraded to 6.0.1 and Sync continued to run, but it hasn't reconnected to my peers yet. I restarted the package and still no reconnection.

Share this post


Link to post
Share on other sites

I also got the warning message about the upgrade to 6.0.1.  I installed it anyway, and Sync continues to work fine.  It connects to other Sync clients fine.  I tested a few files and they sync correctly.  No reinstallation of Sync was necessary.

Share this post


Link to post
Share on other sites

Hi all

today I tried to upgrade my Synology NAS DSM from DSM 6.0-7321 Update 7 to the last verson DSM 6.0.1-7393 (out on 6/1/2016).

I have 2 Synology NAS: DS415+ and DS716+.

One second before pressing "Update Now", a DSM windows informed me that:

"The packages below are not compatible with the system update and will be disabled after the update:
BitTorrentSync
Are you sure you want to continue?"

I stopped the upgrade immediately. On both NAS I run bts 2.3.7-1 for the proper CPU.

 

Some information about the issue? It is a known issue? Someone tried to install the upgrade the DSM? Some news about the incompatibility?

I thought to install and check if the incompatibility is real, but I'm not sure to easily revert my DSM back to DSM 6.0-7321 Update 7 in case bts really stop working.
Synology website have no useful info, and looking at "what's new" seem that the update mainly contain bug fixes".

 

Thank you very much

 

bts1.png

 

Share this post


Link to post
Share on other sites
24 minutes ago, Helen said:

Isn't is the same issue discussed in the neighbouring topic?

 

Yes, it is. I'm very sorry fr not searched well...

Share this post


Link to post
Share on other sites

DSM 6.0.1-7393 Update 1 with version 2.3.8 but it doesn't seem to run on my DS213j.  Not sure what's the issue but I've opened a ticket am awaiting feedback.

Share this post


Link to post
Share on other sites
11 minutes ago, geewiss said:

DSM 6.0.1-7393 Update 1 with version 2.3.8 but it doesn't seem to run on my DS213j.  Not sure what's the issue but I've opened a ticket am awaiting feedback.

 

Bad new but useful info: thank you.

I not installed 2.3.8 yet. Please, let us know what they reply

Share this post


Link to post
Share on other sites
On 7 June 2016 at 9:57 AM, Helen said:

Packages or Sync are available here . Try reinstalling it after update to DSM6, there are people with Sync running OK on avoton DSM6. 

HI Helen,

Sorry, but not sure this is best advise - try it and see?  I have BTS 2.3.8 running on DSM6.0, yes.  The issue is a conflict with DSM upgrade to 6.0.1...the prompt is that BTS will be disabled.

 

What if it doesn't work?  It's been weeks now, 2.3.8 is out, and still same issue... If it doesn't work, it means I lose realtime sync and risk data loss, from an application I pay for.

 

Does anyone have any idea when this issue will be fixed? When the app we pay for will allow the platform it runs on to be upgraded, without risk of major issue?

 

PS; see tweet monologue on this subject http://twitter.com/QuaCKeReD/status/746678388857933828

Share this post


Link to post
Share on other sites

@QuaCKeReD Sync 2.3.7 and 2.3.8 is compatible to DSM6.0. It is not officially confirmed by Synology - therefore you get the warning (and don't see Sync in official synology apps).

We are working with Synology representatives to get it solved, though progress is very slow. It doesn't only depends on Resilio, but also on Synology, so I cannot provide you ETA for now.

Share this post


Link to post
Share on other sites
On 27 June 2016 at 7:30 AM, RomanZ said:

@QuaCKeReD Sync 2.3.7 and 2.3.8 is compatible to DSM6.0. It is not officially confirmed by Synology - therefore you get the warning (and don't see Sync in official synology apps).

We are working with Synology representatives to get it solved, though progress is very slow. It doesn't only depends on Resilio, but also on Synology, so I cannot provide you ETA for now.

Thanks for the explanation.

 

For those interested or worried, I have now upgraded by DS1815+ from DSM 6.0 to 6.0.1, and then to latest update of 6.0.1, and BTS is indeed still running fine.

Share this post


Link to post
Share on other sites

Hi is there any progress on a fix? I rebuild my old DS1511+ yesterday purely for sync and when I came to install it got a message that 

'The package is not supported on the platform of DiskStation'.

Is there ANYTHING I can do?

 

Mike

Share this post


Link to post
Share on other sites

I'm not sure if this Syno model can be updated to DSM 6.0, and if it's still on DSM5, make sure that you take package for DSM5. 

If it is and the package is correct for your platform (x86?), then can you try an connect to your NAS by ssh and launch btsync binary manually? when ssh connected, go to /usr/local/bittorrentsync/bin, and launch the binary manually (./btsync). See what output you'll get. 

Share this post


Link to post
Share on other sites

Hi Helen,

yes the 1511+ is fine with DSM6 and as I hadn't used the box in a while I updated all the way to the latest version before I started dropping packages in... Im therefore in the position that I don't have a pre-existing install of btsync and now can't install :(

This is really the first  time ive tried to use my old nas for anything beyond playing music so Ill have to do some googling to get up to speed with ssh...

Mike

Share this post


Link to post
Share on other sites

Mike, here's a short guide.

1. Enable SSH on NAS:  Control Panel > Terminal & SNMP > Terminal. Apply

2. Connect to it:  if you are on a Mac, open Terminal app, type "ssh admin@IP" (without quotes, IP - is your NAS address) , hit Enter. You may be prompted for confirmation. If on Windows, use Putty , type there your NAS IP and connect. 

3. Then type command "cd /usr/local/bittorrentsync/bin" (also without quotes), and once there, type comamnd ./btsync. 

Share this post


Link to post
Share on other sites

Hi im happy enough getting into the nas and digging around but /usr/local/bittorrentsync/bin does not exist as this NAS has never had a workign copy of btsync on it.

I guess the instructions I need is how do I install btsync via ssh :) so as to bypass the synology 'this isn't supported' message I get when installing with DSM.

thanks

Mike

Share this post


Link to post
Share on other sites

Mike,

the sequence of commands, with my comments in brackets 

1) cd /usr/local/bittorrentsync/bin (if you're missing the directory, you'll need to create it: cd  /usr/local/, mkdir bittorrentsync, cd bittorrentsync, mkdir bin, cd bin) 

2) wget https://download-cdn.getsync.com/2.3.8/linux-i386/BitTorrent-Sync_i386.tar.gz (if you NAS is indeed 32 bit architecture) 

3) tarzxvf BitTorrent-Sync_i386.tar.gz (you can use Tab to autofill the name)

4) ./btsync --webui.listen 0.0.0.0:8888 

see what output you'll get . see screenshot , though i checked with arm. 

Screenshot+2016-07-01+09.36.09.png

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.